04 мая 2016

Установить конфигуратор всплывающих извещений в Ubuntu 16.04

Всплывающие уведомления, это уведомления, которые появляются в верхнем правом углу экрана, показывающие различные извещения: почтовые извещения, состояние зарядки батареи ноутбука и т.п.
По умолчанию они не регулируемые, т.е. вы не можете изменить ни их цвет, ни время отображения, ни закрыть щелчком мышки, до тех пор пока они сами не закроются.


Сторонние разработчики создали конфигуратор всплывающих извещений под названием NotifyOSDConfig, который позволяет настраивать всплывающие извещения: изменить цвет извещения и шрифта, регулировать время отображения на экране, закрытие по клику, изменение размера значка процесса, который отображается в извещении, смещение от края монитора и другие.


После всех настоек нажмите кнопку Apply, что в правом нижнем углу окна, для просмотра всплывающего уведомления. ht

Установка NotifyOSDConfig в Ubuntu 14.04 и старше

Выполните следующие команды в терминале (Ctrl+Alt+T):

1. Прежде нужно установить пакет с исправленными извещениями NotifyOSD:

sudo add-apt-repository ppa:leolik/leolik
sudo apt-get update
sudo apt-get upgrade
sudo apt-get install libnotify-bin
pkill notify-osd


2. Установка конфигуратора NotifyOSDConfig:

sudo add-apt-repository ppa:nilarimogard/webupd8
sudo apt-get update
sudo apt-get upgrade
sudo apt-get install notifyosdconfig


После установки, запустите NotifyOSDConfig, для настройки всплывающих уведомлений NotifyOSD из меню Даш:


Удачи.

8 комментариев :

  1. Владимир,поясни пожалуйста,зачем тут команда sudo apt-get upgrade?
    Обычно:добавляем репозиторий,обновляем список пакетов,устанавливаем пакет.

    ОтветитьУдалить
    Ответы
    1. ==Владимир,поясни пожалуйста,зачем тут команда sudo apt-get upgrade?==
      В системе всплывающие извещения уже установлены по умолчанию, а после подключения стороннего репозитория необходимо обновить их, поэтому надо выполнить команду: sudo apt-get upgrade

      Удалить
    2. Но sudo apt-get upgrade пройдет по всей системе,и как они обновятся,если пакет с подключенного репа еще не установлен.В 12.04 я это ставил,в 14.04 не стал,так как обновляю систему и программы выборочно.
      Просто не могу понять:зачем обновления старому пакету,если мы ставим новый?
      Или имеющийся пакет NotifyOSD получит какие-то дополнения с подключенного репа?Не должнокак-бы.Пожалй попробую на liveCD с 16.04.без upgrade.

      Удалить
    3. На liveCD с 16.04 команда upgrade ни какой роли не играет.Что с ней,что без неё пишет что пакет уже имеется и нового нет.При установке конфигуратора вообще upgrade не делал,и всё работает и редактирует.

      Удалить
    4. При чём здесь liveCD? В live-режиме команда upgrade ни какой роли не играет, т к. система не установлена и обновлять по сути нечего.

      Удалить
    5. Команда upgrade в live-режиме работает.Было скачано и установлено 145мб.Live CD я закачал в день выхода 16.04,по любому за это время часть пакетов обновили от версий имеющихся на диске.А система установлена в ОЗУ,а иначе как она работает?Если я не прав,пусть меня поправят.Не могу проверить на 14.04,у меня там окружение XFCE,все настроено,менять ничего не хочется.Я проверил конкретный случай на определенной системе.В этом случае все устанавливается без upgrade.

      Удалить